This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 556727 - Review Request: ghc-regex-compat - Haskell regex library
Review Request: ghc-regex-compat - Haskell regex library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On: 556723
Blocks: haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-19 03:47 EST by Jens Petersen
Modified: 2014-01-02 06:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-23 04:59:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-19 03:47:02 EST
Spec URL: http://petersen.fedorapeople.org/ghc-regex-compat/ghc-regex-compat.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-regex-compat/ghc-regex-compat-0.92-2.fc12.src.rpm
Description: 
A module layer over regex-posix to replace Text.Regex.

This library is part of haskell-platform.
Comment 1 Rakesh Pandit 2010-01-20 01:03:26 EST
[-] Build - not done - need ghc-regex-base & ghc-regex-posix imported - but tested on two of primary arch machines i686 and x86_64 using approved ghc-regex-base & ghc-regex-posix rpm

sudo yum -y --nogpgcheck localinstall ../RPMS/i686/ghc-regex-posix-devel-0.94.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-posix-doc-0.94.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-posix-prof-0.94.1-2.fc13.i686.rpm ../RPMS/i686/ghc-regex-posix-0.94.1-2.fc13.i686.rpm

[x] rpmlint - ok 

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/SRPMS/ghc-regex-compat-0.92-2.fc13.src.rpm
ghc-regex-compat.src: W: spelling-error-in-summary en_US Haskell
ghc-regex-compat.src: W: spelling-error-in-description en_US posix
ghc-regex-compat.src: W: no-cleaning-of-buildroot %install
ghc-regex-compat.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-compat-0.92-2.fc13.i686.rpm
ghc-regex-compat.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-compat.i686: W: spelling-error-in-description en_US posix
ghc-regex-compat.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/regex-compat-0.92/libHSregex-compat-0.92-ghc6.12.1.so
ghc-regex-compat.i686: W: executable-stack /usr/lib/ghc-6.12.1/regex-compat-0.92/libHSregex-compat-0.92-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-compat-devel-0.92-2.fc13.i686.rpm
ghc-regex-compat-devel.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-compat-devel.i686: W: spelling-error-in-description en_US posix
ghc-regex-compat-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint  /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-compat-doc-0.92-2.fc13.i686.rpm
ghc-regex-compat-doc.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-compat-doc.i686: W: spelling-error-in-description en_US posix
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

[rakesh@dhcp1-96 SPECS]$ rpmlint /home/rakesh/rpmbuild/RPMS/i686/ghc-regex-compat-prof-0.92-2.fc13.i686.rpm
ghc-regex-compat-prof.i686: E: devel-dependency ghc-regex-compat-devel
ghc-regex-compat-prof.i686: W: spelling-error-in-summary en_US Haskell
ghc-regex-compat-prof.i686: W: spelling-error-in-description en_US posix
ghc-regex-compat-prof.i686: W: no-documentation
ghc-regex-compat-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/regex-compat-0.92/libHSregex-compat-0.92_p.a
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

Ignored.

[x] name fine
[x] URL fine
[x] source ok

from srpm (sha1sum)



[x] spec name fine
[x] license ok (copy present) and source has marking
[x] source tree ok (no binaries present)
[x] archs - fine
[x] spec file legible and in american english
[x] BR's ok
[x] %files ok
[x] folders owned - ok

main

/usr/lib/ghc-6.12.1/regex-compat-0.92
/usr/share/doc/ghc-regex-compat-0.92

devel

/usr/lib/ghc-6.12.1/regex-compat-0.92
/usr/lib/ghc-6.12.1/regex-compat-0.92/Text

doc

/usr/share/doc/ghc/html/libraries/regex-compat-0.92

[x] source builds fine on fedora ghc archs
[x] no bundled dependencies
[x] %clean section ok
[x] filenames - ok (valid)
[x] profiling ok
[x] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[x] new macros

APPROVED

Do import both base and posix packages before importing this one.

Thanks,
Comment 2 Jens Petersen 2010-01-20 02:53:16 EST
Thank for reviewing. :)


New Package CVS Request
=======================
Package Name: ghc-regex-compat
Short Description: Haskell regex library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 3 Rakesh Pandit 2010-01-20 03:48:48 EST
Assigned back to myself.
Comment 4 Jason Tibbitts 2010-01-22 12:57:15 EST
CVS done (by process-cvs-requests.py).
Comment 5 Jens Petersen 2010-01-23 04:59:17 EST
Thanks!  Package imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1939857
Comment 6 Jens Petersen 2010-10-03 22:25:42 EDT
Package Change Request
======================
Package Name: ghc-regex-compat
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 7 Kevin Fenzi 2010-10-04 15:05:05 EDT
Git done (by process-git-requests).
Comment 8 Jens Petersen 2013-12-27 08:26:26 EST
Package Change Request
======================
Package Name: ghc-regex-compat
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 9 Jens Petersen 2014-01-02 06:22:15 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.